Unit tde08e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE08E_p, DE08E_p;

function tde08e: String;

implementation

function tde08e: String;
var
M,JSTART,IH,IERR :Integer;
XP,X,H,HMIN,P,EPS,Y1,Y2 :Extended;
BUL :Boolean;
YX :Array [0..1] of Extended;
YP :Array [0..1] of Extended;
R1 :Array [0..9] of Extended;
R2 :Array [0..1] of Extended;
R3 :Array [0..1] of Extended;
label
_20,_103,_104,_105,_100;
begin
Result := '';  {   }
M := 2;
P := 1.e2;
HMIN := 1.e-12;
H := 1.e-2;
EPS := 1.e-10;
JSTART := 1;
X := 0.e0;
YX[0] := 1.e0;
YX[1] := 1.e0;
IH := 0;
BUL := False;
_20:
DE08E (FDE08E,M,JSTART,HMIN,EPS,P,YX,X,H,BUL,XP,YP,
     R1,R2,R3,IERR);
Y1 := Cos(2.e0*X) - 3.e0*Sin(2.e0*X);
Y2 := Cos(2.e0*X) + Sin(2.e0*X);
IH := IH + 1;
Result := Result + Format(' %20.16f  %20.16f  %20.16f  %20.16f  %20.16f ',
 [X,YX[0],YX[1],R3[0],R3[1]]) + #$0D#$0A;
Result := Result + Format(' %20.16f  %20.16f  %20.16f ',
 [H,Y1,Y2]) + #$0D#$0A;
case IH of
 1: goto _20;
 2: goto _20;
 3: goto _103;
 4: goto _104;
 5: goto _105;
 6: goto _20;
 7: goto _100;
end;
_103:
JSTART := -1;
H := -0.5e-2;
goto _20;
_104:
JSTART := -1;
H := 0.2e-1;
goto _20;
_105:
EPS := 1.e-12;
H := 1.e-2;
goto _20;
_100:
UtRes('tde08e',Result);  {     tde08e.res }
exit;
end;

end.
